/*******************************************************************************
 * SimpleSplineAudioComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SimpleSplineAudioComponent extends SplineAudioComponent
    native
    editinlinenew
    collapsecategories
    hidecategories(Object,ActorComponent,Object,ActorComponent,Object,ActorComponent);

struct native SplineSoundSlot
{
    var() SoundNodeWave Wave;
    var() float PitchScale;
    var() float VolumeScale;
    var() int StartPoint;
    var() int EndPoint;
    var() float Weight;
    var native const Double LastUpdateTime;
    var native const float SourceInteriorVolume;
    var native const float SourceInteriorLPF;
    var native const float CurrentInteriorVolume;
    var native const float CurrentInteriorLPF;

    structdefaultproperties
    {
        Wave=none
        PitchScale=1.0
        VolumeScale=1.0
        StartPoint=-1
        EndPoint=-1
        Weight=1.0
    }
};

var(LowPassFilter) bool bAttenuateWithLPF;
var(LowPassFilter) float LPFRadiusMin;
var(LowPassFilter) float LPFRadiusMax;
var(Attenuation) float dBAttenuationAtMax;
var(Attenuation) float FlattenAttenuationRadius;
var(Attenuation) SoundNodeAttenuation.SoundDistanceModel DistanceAlgorithm;
var(Attenuation) float RadiusMin;
var(Attenuation) float RadiusMax;
var(Sounds) init array<init SplineSoundSlot> SoundSlots;
var SoundNode NotifyBufferFinishedHook;

defaultproperties
{
    LPFRadiusMin=3000.0
    LPFRadiusMax=6000.0
    dBAttenuationAtMax=-60.0
    FlattenAttenuationRadius=800.0
    RadiusMin=200.0
    RadiusMax=1200.0
    NotifyBufferFinishedHook=ForcedLoopSoundNode'Default__SimpleSplineAudioComponent.ForcedLoopSoundNode0'
}